/*ScianAnimation.h
  External stuff for ScianAnimation.c
  Eric Pepke
  21 May, 1993
*/

/*Animation controls*/
#define AC_REWIND	0
#define AC_FREVERSE	1
#define AC_REVERSE	2
#define AC_STOP		3
#define AC_PLAY		4
#define AC_FFORWARD	5
#define AC_TOEND	6
#define AC_RECORD	7

/*Recording states*/
#define RS_NULL		0
#define RS_SETUP	1
#define RS_PREPARE	2
#define RS_RUNNING	3
#define RS_STOP		4
#define RS_RECOVER	5

/*External vars*/

extern ObjPtr trackClass, subTrackClass;



/*Prototypes*/
#ifdef HAVE_PROTOTYPES 
void IdleAnimation(void);
void DoNewSequence(void);
void InitAnimation(void);
void KillAnimation(void);
void RecordObjectVar(ObjPtr, NameTyp);
ObjPtr TrackVarGroupWithinSequence(ObjPtr sequence, ObjPtr object, char *group, ObjPtr);
ObjPtr GetTrackedVarGroupWithinSequence(ObjPtr sequence, ObjPtr object, char *group);
void InsertKeySnapshot(ObjPtr track, real time, ObjPtr snapshot);
#else
void IdleAnimation();
void DoNewSequence();
void InitAnimation();
void KillAnimation();
void RecordObjectVar();
ObjPtr TrackVarGroupWithinSequence();
ObjPtr GetTrackedVarGroupWithinSequence();
void InsertKeySnapshot();
#endif

