/*External stuff for arenas
  Eric Pepke
  June 20, 1992
*/

#define ARENAPATH			/*Path for arena files*/

#define CAVESCALE	5.0		/*Scale of cave*/
#define CAVEUP		0.5		/*Amount cave observer is pushed up*/
#define CAVEORIGINOFFSET	5.0	/*Offset for origin*/

extern ObjPtr openArena;		/*Current open arena*/
extern ObjPtr curArenaDraw;		/*Current object being drawn*/
extern Bool drawCabinets;		/*True iff draw cabinets*/

/*Interaction types*/
#define IT_FEEL		1		/*Feel interaction*/
#define IT_SELECTDOWN	2		/*Select button down*/
#define IT_SELECTUP	3		/*Select button up*/
#define IT_STILLDOWN	4		/*Button still down*/

/*Stuff for menus*/
#define ARENAMENUSIZE		0.15	/*Size of a cell in an arena menu*/
#define ARENAMENUCOLUMNS	3	/*Columns in an arena menu*/
#define ARENAMENUDISTANCE	0.15	/*Distance of an arena menu*/

/*Scaling ratio*/
#define ARENASCALEPOWRATIO	2.0

#define IsWall(object) IntVarEql(object, CLASSID, CLASS_WALL)

#ifdef HAVE_PROTOTYPES
void InitArenas(void);
void KillArenas(void);
void AddWindowToArena(WinInfoPtr window);
void RemoveWindowFromArena(WinInfoPtr window);
WinInfoPtr NewArenaWindow(char *title);
ObjPtr NewArena(int, int, int, int);
real PointToLineDistance(real p[3], real s[3], real dir[3]);
Bool DistanceHit(real maxDist, real p[3], real s[3], real dir[3], real *actDist);
void CurArenaWandDown(int, long);
void CurArenaWandUp(int whichButton, long flags);
void ResetDemoArenaWindows(void);
#else
void InitArenas();
void KillArenas();
void AddWindowToArena();
void RemoveWindowFromArena();
WinInfoPtr NewArenaWindow();
ObjPtr NewArena();
real PointToLineDistance();
Bool DistanceHit();
void CurArenaWandDown();
void CurArenaWandUp();
void ResetDemoArenaWindows();
#endif
