/*ScianCalculator.h
  Eric Pepke
  March 17, 1994
  Calculator stuff for text in SciAn
*/

#ifndef _H_SCRIPTS
#include "ScianScripts.h"
#endif

#define ERROBJ	((ObjPtr) -1)		/*Evil test value*/

/*Type casts*/
#define TC_NULL		0		/*Null type cast*/
#define TC_INTEGER	1		/*To integer*/
#define TC_SHORTARRAY	2		/*To short array*/
#define TC_BYTEARRAY	3		/*To byte array*/
#define TC_POINTERARRAY 4		/*To pointer array*/
#define TC_OBJECTARRAY	5		/*To object array*/
#define TC_REALARRAY	6		/*To real array*/

extern ObjPtr curFileCommand;		/*Current file command*/

#ifdef HAVE_PROTOTYPES
char *EvalExpressionArg(char *s, ObjPtr *o);
ObjPtr TypeCast(ObjPtr object, int type);
void InitCalculator(void);
void KillCalculator(void);
void InhibitCalcErrors(Bool);
ObjPtr NewWindowVariable(WinInfoPtr, char *);
ObjPtr NewClassVariable(int, char *);
ObjPtr NewScriptVariable(ScriptVarPtr);
ObjPtr NewVarReference(ObjPtr, NameTyp);
ObjPtr NewTypeCast(ObjPtr, int);
ObjPtr NewCalcFunction(char *, ObjPtr);
ObjPtr NewCodeSequence(void);
ObjPtr NewSetVar(ScriptVarPtr, ObjPtr);
ObjPtr NewSetObjVar(ObjPtr object, NameTyp whichVar, ObjPtr value);
ObjPtr NewFileRead(ObjPtr path, ObjPtr fileName, ObjPtr fileFormat);
void EmitCalcMessages(Bool whether);
void AppendStatementToCode(ObjPtr, ObjPtr);
void AddHistory(ObjPtr object, ObjPtr newHist);
ObjPtr Eval(ObjPtr);
#else
char *EvalExpressionArg();
ObjPtr TypeCast();
void InitCalculator();
void KillCalculator();
void InhibitCalcErrors();
ObjPtr NewWindowVariable();
ObjPtr NewClassVariable();
ObjPtr NewScriptVariable();
ObjPtr NewVarReference();
ObjPtr NewTypeCast();
ObjPtr NewCalcFunction();
ObjPtr NewCodeSequence();
ObjPtr NewSetVar();
ObjPtr NewSetObjVar();
ObjPtr NewFileRead();
void EmitCalcMessages();
void AppendStatementToCode();
void AddHistory();
ObjPtr Eval();
#endif
