/* constants for user interface font/size combinations */

#define UIMENUFONT	0
#define UISMALLFONT	1
#define UINORMALFONT	2
#define UILARGEFONT	3
#define UITITLEFONT	4
#define UIBOLDSMALLFONT	5
#define UIBOLDNORMALFONT	6
#define UIBOLDLARGEFONT	7
#define UIBOLDTITLEFONT	8
#define NUIFONTTYPES	9
#define UIHELPFONT	9
#define UIHELPTITLEFONT	10
#define UIINFOFONT	11
#define UIPROMPTFONT	12
#define UICONTROLFONT	13
#define UISMALLCONTROLFONT	14
#define UIICONFONT	15
#define UIICONSUBFONT	16
#define NUIFONTS	17

#define FONTINFOCHUNK	10

struct fontinfo
        {
                char *name;
                int size;
                char **fontHandle;
        };
extern char curFontName[];
extern int curFontSize;

extern char *fontsUsed[];
extern int numFontsUsed;  /* number used so far = next index to use */

extern char **fonts;
extern int nFonts;

/* prototypes for common SciAn font routines */

void InitFonts(void);
void KillFonts(void);
void SetDemoFonts(void);

#ifdef HAVE_PROTOTYPES

Bool SetupFont(char *name, int size);
int UIFontSize(int);
void SetUIFont(int);
void RegisterFontUsed(char *name);
int ChrWidth(char c);
int StrWidth(char *s);
void DrawAString(int, long x, long y, char *s);
char *PSShow(char *s);

#else

Bool SetupFont();
int UIFontSize();
void SetUIFont();
void RegisterFontUsed();
int ChrWidth();
int StrWidth();
void DrawAString();
char *PSShow();

#endif

