/*ScianParser.h
  Eric Pepke
  March 17, 1994
  Parser for text expressions in SciAn
*/

#include "ScianTextFiles.h"

extern char *begToken, *endToken;	/*Beginning and ending of current token*/

#define SHIFTKW(d, s) {int k; SKIPBLANKS(s); begToken = s; k = 0; while (*s && (isalpha (*s) || isdigit(*s) || *s == '\\' || *s == '_')) {if (*s == '\\') {++s; d[k++] = *s++;} else if (*s == '_') {d[k++] = ' '; ++s;} else d[k++] = *s++;} endToken = s; d[k] = 0;}
#define SHIFTNUM(d, s) {int k; SKIPBLANKS(s); begToken = s; k = 0; while (*s && (isalpha(*s) || isdigit(*s) || *s == '+' || *s == '-' || *s == '.')) {d[k++] = *s++;} endToken = s; d[k] = 0;}

#ifdef HAVE_PROTOTYPES
char *ParseArray(char *s, ObjPtr *o, int expType);
char *ParseObject(char *s, ObjPtr *o);
char *ParseExpression(char *s, ObjPtr *o);
void ParseFromFile(TextFilePtr file);
void InitParser(void);
void KillParser(void);
#else
char *ParseArray();
char *ParseObject();
char *ParseExpression();
void ParseFromFile(file);
void InitParser();
void KillParser();
#endif
