/*ScianPostScript.h
  Eric Pepke
*/

/* definitions for control panel switches */
#define PS_EPS		0	/* EPS file format */
#define PS_POSTSCRIPT	1 	/* PostScript file format */

#define PS_GRAYSCALE	0	/* Grayscale image */
#define PS_12BITCOLOR	1	/* 12-bit color image */
#define PS_24BITCOLOR	2	/* 24-bit color image */

#define PS_PORTRAIT	0	/* portrait orientation */
#define PS_LANDSCAPE	1	/* landscape orientation */

#define PS_CENTERED	0	/* centered placement */
#define PS_OFFSET	1	/* fixed offset placement */

/* globals used for PostScript drawing */
extern FILE *psFile;		/*temp drawing file*/
extern int iconsUsed[];		/* icons used in EPS file */
extern int numIconsUsed;	/* number used so far = next index to use */

#ifdef HAVE_PROTOTYPES
void BeginDrawing(int, int, int, int);
void DrawPSFrame(char *, int, int, int, int);
void BeginDrawSubscreen(int, int);
void EndDrawSubscreen(int, int);
void EndDrawing(Bool);
int RegisterIconUsed(int);
void SavePSImage(FILE *psFile, RGBAPixel *imageBuffer, int, int, int, int);
void InitPostScript(void);
void KillPostScript(void);
#else
void BeginDrawing();
void DrawPSFrame();
void BeginDrawSubscreen();
void EndDrawSubscreen();
void EndDrawing();
int RegisterIconUsed();
void SavePSImage();
void InitPostScript();
void KillPostScript();
#endif
