/*External stuff for ScianScripts
  Eric Pepke
*/

#ifndef _H_TEXTFILES
#include "ScianTextFiles.h"
#endif

#ifndef _H_SCRIPTS
#define _H_SCRIPTS
extern Bool runningScript;
extern Bool abortScript;
extern Bool settingUp;

extern WinInfoPtr scriptWindow;
#define AUTOVARMAXLEN	40		/*Max length of automatic script variable*/
extern int nextLogElement;
#define logging 1			/*Always logging in case recording*/

/*Variable node*/
typedef struct scriptvar
    {
	struct scriptvar *left;		/*Left node*/
	struct scriptvar *right;	/*Right node*/
	char *name;			/*Name*/
	ObjPtr value;			/*Value*/
	ObjPtr definition;		/*Definition*/
    } ScriptVar, *ScriptVarPtr;

#ifdef HAVE_PROTOTYPES
void AbortScriptForError(void);
void BeginScript(char *);
void EndScript(void);
Bool ReadScriptLine(void);
void InhibitWindow(Bool);
Bool InterpretScriptLine(char *);
ObjPtr FindFullNamedObject(char *);
Bool IsUniqueInDatabase(ObjPtr);
Bool MakeObjectName(char *, ObjPtr);
void MakeObjectSimpleName(char *, ObjPtr);
void Log(char *);
void LogControl(ObjPtr);
void LogVariable(ObjPtr, NameTyp);
void LogObjectName(ObjPtr);
void LogString(char *);
void LogObject(ObjPtr);
void LogReal(real);
void InhibitLogging(Bool);
char *PrintScriptString(char *, char *);
void ShowScriptControlPanels(Bool);
TextFilePtr OpenLogFile(char *);
void CloseLogFile(void);
void CloseAllLogFiles(void);
ScriptVarPtr SetReadScriptVar(char *name, ObjPtr object);
ScriptVarPtr FindReadScriptVar(char *name);
ScriptVarPtr NewReadScriptVar(char *name, ObjPtr object);
ObjPtr GetReadScriptVar(char *name);
char *LogScriptVarForObject(ObjPtr);
void InitScripts(void);
void KillScripts(void);
void ReadScriptFile(char *pathName, char *fileName);
#else
void AbortScriptForError();
void BeginScript();
void EndScript();
Bool ReadScriptLine();
Bool InterpretScriptLine();
ObjPtr FindFullNamedObject();
Bool IsUniqueInDatabase();
Bool MakeObjectName();
void MakeObjectSimpleName();
void InhibitWindow();
void Log();
void LogControl();
void LogVariable();
void LogObjectName();
void LogString();
void LogObject();
void LogReal();
void InhibitLogging();
char *PrintScriptString();
void ShowScriptControlPanels();
FILE *OpenLogFile();
void CloseLogFile();
void CloseAllLogFiles();
ScriptVarPtr SetReadScriptVar();
ScriptVarPtr NewReadScriptVar();
ScriptVarPtr FindReadScriptVar();
ObjPtr GetReadScriptVar();
char *LogScriptVarForObject();
void InitScripts();
void KillScripts();
void ReadScriptFile();
#endif

#endif
