/*ScianSnap.h
  Eric Pepke
  14 January 1993

  Public stuff for ScianSnap.c
*/

/*Methods*/
ObjPtr SaveSnapshotControls();
ObjPtr SaveSettingsControls();
ObjPtr LogSnapshotControls();
ObjPtr LogObjectDefinition();


#ifdef HAVE_PROTOTYPES
ObjPtr TakeSnapshot(ObjPtr);
ObjPtr TakeVarsSnapshot(ObjPtr, ObjPtr);
ObjPtr TakeSingleVarSnapshot(ObjPtr object, NameTyp whichVar);
Bool EqualSnapshots(ObjPtr snap1, ObjPtr snap2);
void ApplySnapshot(ObjPtr snapshot);
void ApplySnapshotTo(ObjPtr snapshot, ObjPtr object);
void InitSnapshots(void);
void KillSnapshots(void);
void AddSnapVar(ObjPtr, NameTyp);
ObjPtr AssembleSnapVars(ObjPtr);
void PullSnapVars(ObjPtr, ObjPtr);
void SubsumeObjIntoDatabase(ObjPtr object);
void ApplySavedSettings(ObjPtr);
void LogSnapshot(ObjPtr);
void LogSnapVars(ObjPtr);
void LogNamedSnapshot(ObjPtr, char *);
ObjPtr GetSettingsDirectory(void);
ObjPtr InterpSnapshots(ObjPtr, ObjPtr, real);
ObjPtr InterpSimpleObjects(ObjPtr, ObjPtr, real);
ObjPtr AddExternalSnapVarsToSet(ObjPtr list, ObjPtr object);
#else
ObjPtr TakeSnapshot();
ObjPtr TakeVarsSnapshot();
ObjPtr TakeSingleVarSnapshot();
Bool EqualSnapshots();
void ApplySnapshot();
void ApplySnapshotTo();
void InitSnapshots();
void KillSnapshots();
void AddSnapVar();
ObjPtr AssembleSnapVars();
void PullSnapVars();
void SubsumeObjIntoDatabase();
void ApplySavedSettings();
void LogSnapshot();
void LogSnapVars();
void LogNamedSnapshot();
ObjPtr GetSettingsDirectory();
ObjPtr InterpSnapshots();
ObjPtr InterpSimpleObjects();
ObjPtr AddExternalSnapVarsToSet();
#endif
