/* ScianSound.h
 * John R. Murray
 */

#ifdef HAS_PROTOTYPES
void InitSound(void);
void KillSound(void);
ObjPtr PlayObjSound(ObjPtr sound);
ObjPtr NewSound(char *soundName);
ObjPtr NewSampleSound(char *soundName);
ObjPtr NewFmBellSound();
ObjPtr NewAddBellSound();
ObjPtr NewBellSound();
ObjPtr NewWoodblockSound();
ObjPtr NewFmToneSound();
ObjPtr Play(ObjPtr sound);
ObjPtr PlayPitch(ObjPtr sound, Real pitch);
#else
void InitSound();
void KillSound();
ObjPtr PlayObjSound();
ObjPtr NewSound();
ObjPtr NewSampleSound();
ObjPtr NewFmBellSound();
ObjPtr NewAddBellSound();
ObjPtr NewBellSound();
ObjPtr NewWoodblockSound();
ObjPtr NewFmToneSound();
ObjPtr Play();
ObjPtr PlayPitch();
#endif

#define PLAYSOUND 999
#define SOUND 998
#define SOUNDON 997
#define SOUNDPITCH 996
#define SOUNDAMPLITUDE 995
#define SOUNDDURATION 994
#define SOUNDFMMODULATION 993
#define SOUNDFMCMRATIO 992
#define SOUNDACTORHANDLE 991
#define SOUNDNOTEHANDLE 990
#define SOUNDNOTEOFF 989

extern int soundOn;

/* destined for ScianStyle.h */
#define SNDPITCH 0.0
#define SNDDURATION 0.5
#define SNDBELLDURATION 1.0
#define SNDAMPLITUDE 0.3
#define SNDFMMODULATION 0.25
#define SNDFMCMRATIO 0.6
